using System;
using System.Threading.Tasks;

internal sealed class Delegate669 : MulticastDelegate
{
	public extern Task<string> Invoke(object object_0);

	public static Task<string> smethod_0(object object_0, Delegate669 delegate669_1)
	{
		return delegate669_1(object_0);
	}

	public extern Delegate669(object object_0, IntPtr intptr_0);

	static Delegate669()
	{
		Class10.smethod_13(typeof(Delegate669).TypeHandle);
	}

	internal static Delegate669 delegate669_0;
}
